Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class SummaryRenderer

    java.lang.Object
      net.i2p.router.web.SummaryRenderer

     class SummaryRenderer

extends Object

Generate the RRD graph png images, except for the combined rate graph, which is generated in StatSummarizer.

Since:
  0.6.1.13

Field Summary
`(package private) static Color` | `RESTART_BAR_COLOR`

Constructor Summary
`SummaryRenderer(I2PAppContext ctx, SummaryListener lsnr)`

Method Summary
`static void` | `render(I2PAppContext ctx, OutputStream out, String filename)` Deprecated. unsed
`void` | `render(OutputStream out)`
`void` | `render(OutputStream out, int width, int height, boolean hideLegend, boolean hideGrid, boolean hideTitle, boolean showEvents, int periodCount, boolean showCredit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESTART_BAR_COLOR

    static final Color RESTART_BAR_COLOR

Constructor Detail

### SummaryRenderer

    public SummaryRenderer(I2PAppContext ctx,
                           SummaryListener lsnr)

Method Detail

### render

    public static void render(I2PAppContext ctx,
                              OutputStream out,
                              String filename)
                       throws IOException

  Deprecated. unsed

  Render the stats as determined by the specified JRobin xml config, but note that this doesn't work on stock jvms, as it requires DOM level 3 load and store support. Perhaps we can bundle that, or specify who can get it from where, etc.

  Throws:
    `IOException`

### render

    public void render(OutputStream out)
                throws IOException

  Throws:
    `IOException`

### render

    public void render(OutputStream out,
                       int width,
                       int height,
                       boolean hideLegend,
                       boolean hideGrid,
                       boolean hideTitle,
                       boolean showEvents,
                       int periodCount,
                       boolean showCredit)
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD